'use strict';

var slicedToArray = require('./slicedToArray-067dd3bc.js');
var React = require('react');
var AdSlot = require('./AdSlot.js');
require('./_commonjsHelpers-06173234.js');
require('./web.dom.iterable-d98303e0.js');
require('./core.get-iterator-method-5643aa10.js');
require('./extends-7c86182f.js');
require('./_object-pie-083f2dd6.js');
require('prop-types');
require('./index-fc2f1ca2.js');
require('./events-1b438fe7.js');
require('./debounce-d4a2369b.js');
require('./isSymbol-03abbdf0.js');
require('./toNumber-5e1fac58.js');
require('./Beam.js');
require('./stringify-f7a37a8d.js');
require('./asyncToGenerator-77821af0.js');
require('./_library-dd23b178.js');
require('./_iter-detect-b1df62f0.js');
require('./Segment.js');
require('./main-f1c77adb.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var ADGutter = function ADGutter(_ref) {
  var title = _ref.title,
      gutterAd = _ref.gutterAd,
      _ref$minScreenWidth = _ref.minScreenWidth,
      minScreenWidth = _ref$minScreenWidth === undefined ? 1700 : _ref$minScreenWidth,
      _ref$refreshFlag = _ref.refreshFlag,
      refreshFlag = _ref$refreshFlag === undefined ? false : _ref$refreshFlag;
  var className = gutterAd.className,
      slotId = gutterAd.slotId,
      adUnit = gutterAd.adUnit,
      _gutterAd$targeting = gutterAd.targeting,
      targeting = _gutterAd$targeting === undefined ? {} : _gutterAd$targeting,
      _gutterAd$position = gutterAd.position,
      position = _gutterAd$position === undefined ? 'wallpaper' : _gutterAd$position,
      networkID = gutterAd.networkID,
      sizes = gutterAd.sizes;


  var adTargeting = {
    content_placement: targeting.content_placement,
    tags: targeting.tags,
    document_group: targeting.document_group,
    document_url: targeting.document_url,
    rootDocumentGroup: targeting.rootDocumentGroup,
    pos: position,
    campaign_id: targeting.campaign_id,
    issue_url: targeting.issue_url,
    publication_url: targeting.publication_url
  };

  var _useState = React.useState(false),
      _useState2 = slicedToArray._slicedToArray(_useState, 2),
      widthFlag = _useState2[0],
      setWidthFlag = _useState2[1];

  var _useState3 = React.useState(true),
      _useState4 = slicedToArray._slicedToArray(_useState3, 2);
      _useState4[0];
      var setPreviewAd = _useState4[1];

  React.useEffect(function () {
    var path = window && window.location && window.location.search;
    // Setting flag for Ad-preview URLs
    setPreviewAd(path.split('&').some(function (param) {
      return param.includes('creativeId');
    }));
  }, []);

  React.useEffect(function () {
    if (window && window.innerWidth >= minScreenWidth) {
      setWidthFlag(true);
    }
  }, [minScreenWidth]);

  if (widthFlag) {
    return React__default['default'].createElement(
      React__default['default'].Fragment,
      null,
      widthFlag && React__default['default'].createElement(
        'div',
        { id: 'gutter-ad-wrapper', className: 'gutter-ad-wrapper ' + title },
        React__default['default'].createElement(
          'div',
          { className: 'gutter-ad' },
          React__default['default'].createElement(AdSlot, {
            className: className,
            slotId: slotId,
            networkID: networkID,
            sizes: sizes,
            adUnit: adUnit,
            targeting: adTargeting
            /* Passing refresh flag */
            , refreshFlag: refreshFlag
            /* Passing function to check for ad creative only if it is not in preview. */
            // checkIsAdFound={previewAd ? null : checkIsAdFound}
          })
        )
      ),
      React__default['default'].createElement(
        'style',
        { jsx: 'true' },
        '\n          .gutter-ad-wrapper {\n            position: fixed;\n            width: 100%;\n            height: 100%;\n            z-index: 999;\n          }\n          .gutter-ad {\n            width: 150px;\n            position: relative;\n            top: 50;\n          }\n          /* setting height to 0px when the ad slot is empty. */\n          .gutter-ad-wrapper div[id*=\'google_ads_iframe\']:empty {\n            height: 0px !important;\n          }\n        '
      )
    );
  } else return null;
};

module.exports = ADGutter;
